ūüéČ Mastodon 2.5.0 ūüéČ

Changelog: github.com/tootsuite/mastodon/

Highlights:

- Federation relays
- New profile design
- Remote interaction dialog
- Replies count in web UI
- Feature friends on profile
- Higher video upload limit
- Improved mod tools
- Admin dashboard
- Read-replica support
- Command-line interface

@Mastodon @Gargron I just got some DB errors on this update, but it seem's I'm on v2.5.0 anyway. Any ideas why ? (Non docker installation)

Caused by:
PG::SyntaxError: ERROR: syntax error at or near "ON"
LINE 1: ..., 5134, 5135, 5136, 5137, 5138, 5139, 5140, 5141) ON CONFLIC...

@seb_vallee @Mastodon Oof. That looks like a years-old version of postgresql! You need at least 9.5

@seb_vallee @Mastodon That is strange. Are you sure you don't have multiple pg versions installed and Mastodon is using something older? `ls /etc/postgresql`

@Gargron @Mastodon Oh shit, you were right, it seems I have an old 9.4 still running there...

@seb_vallee @Mastodon Carefully follow postgresql upgrade instructions! I've never done it myself (have been using 9.6 from the start)

@Gargron @Mastodon The fun part is : I already have 9.6 running in parallel !

Follow

@seb_vallee @Gargron @Mastodon How did you fix it? I have the same problem.

· Web · 0 · 0 · 0

@gerben @Gargron @Mastodon I don't, ATM. I have to migrate my 9.4 postgres to 9.6, following instructions on postegresql site... Waiting this, I use Mastodon with 9.4 postgres, in degraded mode...

Sign in to participate in the conversation
Droogers online

mastodon.droogers.eu is one server in the network